---
apiVersion: "v1"
kind: "List"
items:
- apiVersion: "v1"
  kind: "ServiceAccount"
  metadata:
    annotations: {}
    finalizers: []
    labels: {}
    name: "fabric8"
    ownerReferences: []
  imagePullSecrets: []
  secrets: []
- apiVersion: "v1"
  kind: "Service"
  metadata:
    annotations:
      fabric8.io/iconUrl: "https://cdn.rawgit.com/fabric8io/fabric8-console/master/app-kubernetes/src/main/fabric8/icon.svg"
    finalizers: []
    labels:
      provider: "fabric8"
      project: "console"
      expose: "true"
      version: "2.2.178"
      group: "io.fabric8.apps"
    name: "fabric8"
    ownerReferences: []
  spec:
    deprecatedPublicIPs: []
    externalIPs: []
    loadBalancerSourceRanges: []
    ports:
    - port: 80
      protocol: "TCP"
      targetPort: 9090
    selector:
      project: "console"
      provider: "fabric8"
      expose: "true"
      group: "io.fabric8.apps"
    type: "LoadBalancer"
- apiVersion: "v1"
  kind: "Service"
  metadata:
    annotations: {}
    finalizers: []
    labels:
      group: "io.fabric8.apps"
      project: "console"
      provider: "fabric8"
    name: "jenkinshift"
    ownerReferences: []
  spec:
    deprecatedPublicIPs: []
    externalIPs: []
    loadBalancerSourceRanges: []
    ports:
    - name: "http"
      port: 80
      protocol: "TCP"
      targetPort: 9191
    selector:
      group: "io.fabric8.apps"
      project: "console"
      provider: "fabric8"
    type: "LoadBalancer"
- apiVersion: "v1"
  kind: "ReplicationController"
  metadata:
    annotations:
      fabric8.io/iconUrl: "https://cdn.rawgit.com/fabric8io/fabric8-console/master/app-kubernetes/src/main/fabric8/icon.svg"
      fabric8.io/git-branch: "release-v2.2.178"
      fabric8.io/git-commit: "c1a15b45626b93b99debc718cb957e4eff239d87"
      fabric8.io/build-url: "http://jenkins.ux.fabric8.io/job/oss-parent/1"
      fabric8.io/build-id: "1"
    finalizers: []
    labels:
      provider: "fabric8"
      project: "console"
      expose: "true"
      version: "2.2.178"
      group: "io.fabric8.apps"
    name: "fabric8"
    ownerReferences: []
  spec:
    replicas: 1
    selector:
      provider: "fabric8"
      project: "console"
      expose: "true"
      version: "2.2.178"
      group: "io.fabric8.apps"
    template:
      metadata:
        annotations: {}
        finalizers: []
        labels:
          provider: "fabric8"
          project: "console"
          expose: "true"
          version: "2.2.178"
          group: "io.fabric8.apps"
        ownerReferences: []
      spec:
        InitContainers: []
        containers:
        - args: []
          command:
          - "/kuisp"
          - "-p"
          - "9090"
          - "-c"
          - "/site/osconsole/config.basic.js.tmpl=/site/osconsole/config.js"
          - "--bearer-token=/var/run/secrets/kubernetes.io/serviceaccount/token"
          - "--skip-cert-validation=true"
          - "--default-page=/index.html"
          - "--max-age=24h"
          - "-s"
          - "/k8s/=https://kubernetes:443/"
          - "--compress"
          env:
          - name: "GITHUB_OAUTH_CLIENT_SECRET"
            value: "${GITHUB_OAUTH_CLIENT_SECRET}"
          - name: "OAUTH_PROVIDER"
            value: "basic"
          - name: "GITHUB_OAUTH_CLIENT_ID"
            value: "${GITHUB_OAUTH_CLIENT_ID}"
          - name: "HAWTIO_BRANDING_PLUGIN"
            value: "fabric8-branding"
          - name: "KUBERNETES_NAMESPACE"
            valueFrom:
              fieldRef:
                fieldPath: "metadata.namespace"
          - name: "KUBERNETES_MASTER_URI"
            value: "k8s"
          image: "fabric8/fabric8-console:2.2.178"
          name: "fabric8"
          ports:
          - containerPort: 9090
            name: "http"
          resources:
            limits:
              cpu: "0"
              memory: "0"
            requests:
              cpu: "0"
              memory: "0"
          securityContext: {}
          volumeMounts: []
        - args: []
          command: []
          env: []
          image: "fabric8/jenkinshift:2.2.178"
          name: "jenkinshift"
          ports:
          - containerPort: 9191
            protocol: "TCP"
          volumeMounts: []
        imagePullSecrets: []
        nodeSelector: {}
        volumes: []
